package com.bocloud.sms.entity;

import java.io.Serializable;



public class AppEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用信息
     */
    private String appInfo;

    /**
     * 部署位置
     */
    private String sysPlace;

    /**
     * 软件类型
     */
    private String appType;

    /**
     * 应用级别
     */
    private String appLevel;

    /**
     * 型号系统
     */
    private String modelSystem;

    /**
     * 资源类型
     */
    private String resourceType;

    /**
     * 应用机构
     */
    private String appDepartment;

    /***
     * 行业中心code
     */
    private String bussinessCenter;

    /**
     * 行业中心中文名
     */

    private String bussinessCenterName;

    /**
     * 是否编辑标识
     */

    private int editState;

    /***
     * 应用在运维系统账号
     */
    private String ywAccount;

    /***
     * 应用在运维系统用户id
     */
    private String ywUserId;

    /***
     * 应用在运维系统apikey
     */
    private String ywApikey;

    /***
     * 应用在运维系统appkey
     */
    private String ywAppkey;

    /**
     * 软件研发单位
     */
    private String softwareOperations;

    /**
     * 应用上线时间
     */
    private String softwarePublishTime;

    /**
     * 访问地址
     */
    private String appAddress;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 是否为集群
     */
    private String cluster;

    /**
     * 应用编码
     */
    private String appCode;

    /**
     * 应用版本
     */
    private String softwareVersion;

    /**
     * 应用描述
     */
    private String softwareDesc;

    /**
     * 应用密级
     */
    private String appSecrecyLevel;

    /**
     * 应用
     */
    private String appIcon;

    /**
     * 区域
     */
    private String area;

    /**
     * 是否可用
     */
    private int useFlag;

    /**
     * 专业
     */
    private String profession;

    /**
     * 创建人ID
     */
    private Long createUid;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新人Id
     */
    private Long updateUid;

    /**
     * 修改时间
     */
    private String updateTime;

    /**
     * 发布区域
     */
    private String publishArea;

    /**
     * 参与人
     */
    private String participantIds;

    /**
     * 所属任务
     */
    private String belongTask;

    /***
     * 应用平台
     */
    private String appPlatform;

    /***
     * 应用方向
     */
    private String appDirection;

    /***
     * 应用专题
     */
    private String appTheme;

    /***
     * 对象类型
     */

    private String objectType;

    /**
     * 数据id
     */
    private String dataId;

    /**
     * 应用管理员
     */
    //private String appManager;

    /**
     * 应用管理员
     */
    private String approveLeader;

    /**
     * 应用管理员的联系电话
     */
    private String linkNum;

    /**
     * 应用管理员
     */
    private String approveManager;

    /***
     * 应用上线表单id
     */
    private String recordId;

    /**
     * 应用状态
     */
    private int appState;

    /**
     * 资源需求
     */
    private String resourceSetting;

    /**
     * 软件承制单位
     */
    private String assumeDept;

    /**
     * 软件承制单位联系人
     */
    private String assumeLinkman;

    /**
     * 软件承制单位联系人
     */
    private String linkmanNum;


    private String authorize;

    private boolean enable = false;


    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppInfo() {
        return appInfo;
    }

    public void setAppInfo(String appInfo) {
        this.appInfo = appInfo;
    }

    public String getSysPlace() {
        return sysPlace;
    }

    public void setSysPlace(String sysPlace) {
        this.sysPlace = sysPlace;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getAppLevel() {
        return appLevel;
    }

    public void setAppLevel(String appLevel) {
        this.appLevel = appLevel;
    }

    public String getModelSystem() {
        return modelSystem;
    }

    public void setModelSystem(String modelSystem) {
        this.modelSystem = modelSystem;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getAppDepartment() {
        return appDepartment;
    }

    public void setAppDepartment(String appDepartment) {
        this.appDepartment = appDepartment;
    }

    public String getBussinessCenter() {
        return bussinessCenter;
    }

    public void setBussinessCenter(String bussinessCenter) {
        this.bussinessCenter = bussinessCenter;
    }

    public String getBussinessCenterName() {
        return bussinessCenterName;
    }

    public void setBussinessCenterName(String bussinessCenterName) {
        this.bussinessCenterName = bussinessCenterName;
    }

    public int getEditState() {
        return editState;
    }

    public void setEditState(int editState) {
        this.editState = editState;
    }

    public String getYwAccount() {
        return ywAccount;
    }

    public void setYwAccount(String ywAccount) {
        this.ywAccount = ywAccount;
    }

    public String getYwUserId() {
        return ywUserId;
    }

    public void setYwUserId(String ywUserId) {
        this.ywUserId = ywUserId;
    }

    public String getYwApikey() {
        return ywApikey;
    }

    public void setYwApikey(String ywApikey) {
        this.ywApikey = ywApikey;
    }

    public String getYwAppkey() {
        return ywAppkey;
    }

    public void setYwAppkey(String ywAppkey) {
        this.ywAppkey = ywAppkey;
    }

    public String getSoftwareOperations() {
        return softwareOperations;
    }

    public void setSoftwareOperations(String softwareOperations) {
        this.softwareOperations = softwareOperations;
    }

    public String getSoftwarePublishTime() {
        return softwarePublishTime;
    }

    public void setSoftwarePublishTime(String softwarePublishTime) {
        this.softwarePublishTime = softwarePublishTime;
    }

    public String getAppAddress() {
        return appAddress;
    }

    public void setAppAddress(String appAddress) {
        this.appAddress = appAddress;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public String getCluster() {
        return cluster;
    }

    public void setCluster(String cluster) {
        this.cluster = cluster;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public String getSoftwareVersion() {
        return softwareVersion;
    }

    public void setSoftwareVersion(String softwareVersion) {
        this.softwareVersion = softwareVersion;
    }

    public String getSoftwareDesc() {
        return softwareDesc;
    }

    public void setSoftwareDesc(String softwareDesc) {
        this.softwareDesc = softwareDesc;
    }

    public String getAppSecrecyLevel() {
        return appSecrecyLevel;
    }

    public void setAppSecrecyLevel(String appSecrecyLevel) {
        this.appSecrecyLevel = appSecrecyLevel;
    }

    public String getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(String appIcon) {
        this.appIcon = appIcon;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public int getUseFlag() {
        return useFlag;
    }

    public void setUseFlag(int useFlag) {
        this.useFlag = useFlag;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }

    public Long getCreateUid() {
        return createUid;
    }

    public void setCreateUid(Long createUid) {
        this.createUid = createUid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(Long updateUid) {
        this.updateUid = updateUid;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getPublishArea() {
        return publishArea;
    }

    public void setPublishArea(String publishArea) {
        this.publishArea = publishArea;
    }

    public String getParticipantIds() {
        return participantIds;
    }

    public void setParticipantIds(String participantIds) {
        this.participantIds = participantIds;
    }

    public String getBelongTask() {
        return belongTask;
    }

    public void setBelongTask(String belongTask) {
        this.belongTask = belongTask;
    }

    public String getAppPlatform() {
        return appPlatform;
    }

    public void setAppPlatform(String appPlatform) {
        this.appPlatform = appPlatform;
    }

    public String getAppDirection() {
        return appDirection;
    }

    public void setAppDirection(String appDirection) {
        this.appDirection = appDirection;
    }

    public String getAppTheme() {
        return appTheme;
    }

    public void setAppTheme(String appTheme) {
        this.appTheme = appTheme;
    }

    public String getObjectType() {
        return objectType;
    }

    public void setObjectType(String objectType) {
        this.objectType = objectType;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getApproveLeader() {
        return approveLeader;
    }

    public void setApproveLeader(String approveLeader) {
        this.approveLeader = approveLeader;
    }

    public String getLinkNum() {
        return linkNum;
    }

    public void setLinkNum(String linkNum) {
        this.linkNum = linkNum;
    }

    public String getApproveManager() {
        return approveManager;
    }

    public void setApproveManager(String approveManager) {
        this.approveManager = approveManager;
    }

    public String getRecordId() {
        return recordId;
    }

    public void setRecordId(String recordId) {
        this.recordId = recordId;
    }

    public int getAppState() {
        return appState;
    }

    public void setAppState(int appState) {
        this.appState = appState;
    }

    public String getResourceSetting() {
        return resourceSetting;
    }

    public void setResourceSetting(String resourceSetting) {
        this.resourceSetting = resourceSetting;
    }

    public String getAssumeDept() {
        return assumeDept;
    }

    public void setAssumeDept(String assumeDept) {
        this.assumeDept = assumeDept;
    }

    public String getAssumeLinkman() {
        return assumeLinkman;
    }

    public void setAssumeLinkman(String assumeLinkman) {
        this.assumeLinkman = assumeLinkman;
    }

    public String getLinkmanNum() {
        return linkmanNum;
    }

    public void setLinkmanNum(String linkmanNum) {
        this.linkmanNum = linkmanNum;
    }

    public String getAuthorize() {
        return authorize;
    }

    public void setAuthorize(String authorize) {
        this.authorize = authorize;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public enum AppStateType{
        REGISTER(0,"注册"),
        ONLINE(1,"上线"),
        OFFLINE(2,"下线");
        //编号
        private Integer code;
        //名称
        private String name;

        AppStateType(Integer code, String name) {
            this.code = code;
            this.name = name;
        }

        public Integer getCode() {
            return code;
        }

        public String getName() {
            return name;
        }
    }


}

